Redmine - Defect #27406

Internal Server Error while posting smile in issue's description
2017-11-08 13:31 - Pavel Potcheptsov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.4.3
Description

It took a time to realize why issue's creation throw Internal Error.
It turned out that text was actually copy-pasted to description from somewhere and it contains smile.
| can't provide full text because of privacy but here is relevant error from log:

Processing by IssuesController#create as HTML

. .skipped..

Completed 500 Internal Server Error in 130ms (ActiveRecord: 67.5ms)
ActiveRecord::StatementInvalid (Mysqgl2::Error: Incorrect string value: '"\xFO\x9F\x98\x8A\x0D\xO0A..
.'" for column 'description' at row 1:

Relevant article to fix issue.

Related issues:
Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

History

#1-2017-11-08 14:02 - Toshi MARUYAMA
- Category deleted (Issues)
- Status changed from New to Closed

- Resolution set to Invalid

This is FAQ.
Search "MySQL UTF-8 4bytes" on this site or google.

#2 - 2017-11-08 14:34 - Pavel Potcheptsov
- File Screenshot-2017-11-8 Search - Redmine.png added

Unfortunately search on redmine didn't return any answer.
Am | right that you are suggesting to change character set in database, etc but you aren't going to commit such changes in the code?

#3 - 2017-11-08 15:11 - Toshi MARUYAMA

Pavel Potcheptsov wrote:

but you aren't going to commit such changes in the code?

It is not related with Redmine source code.

#4 - 2019-08-17 18:12 - Marius BALTEANU
- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added
https://mathiasbynens.be/notes/mysql-utf8mb4#character-sets
http://www.tcpdf.org

